View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
17202Bug reportsImport/Exportpublic2021-11-13 20:40
Reportermichaelmm7 Assigned ToTonisOrmisson  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version4.4.13 
Summary17202: SPSS Export issues in version 4.4.13
DescriptionSince I updated to Limesurvey 4.4.13 the following is added to my SPSS syntax file when exporting the data:
This makes no sense as I do not have any "other" selection in these variables. I get errors when creating the SPSS file.
As soon as I delete this part, the SPSS file is created without issues.
I think this is linked to this issue/fix: https://bugs.limesurvey.org/view.php?id=16939
Since this change these code is added to the SPSS syntax, but creates only issues. Please remove/adjust.

"
RECODE V9 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V9 666666 "other".
ALTER TYPE V9 (F6.0).
RECODE V10 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V10 666666 "other".
ALTER TYPE V10 (F6.0).
RECODE V11 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V11 666666 "other".
ALTER TYPE V11 (F6.0).
RECODE V12 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V12 666666 "other".
ALTER TYPE V12 (F6.0).
RECODE V13 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V13 666666 "other".
ALTER TYPE V13 (F6.0).
RECODE V14 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V14 666666 "other".
ALTER TYPE V14 (F6.0).
RECODE V15 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V15 666666 "other".
ALTER TYPE V15 (F6.0).
RECODE V16 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V16 666666 "other".
ALTER TYPE V16 (F6.0).
RECODE V17 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V17 666666 "other".
ALTER TYPE V17 (F6.0).
RECODE V18 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V18 666666 "other".
ALTER TYPE V18 (F6.0).
RECODE V20 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V20 666666 "other".
ALTER TYPE V20 (F6.0).
RECODE V21 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V21 666666 "other".
ALTER TYPE V21 (F6.0).
RECODE V22 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V22 666666 "other".
ALTER TYPE V22 (F6.0).
RECODE V23 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V23 666666 "other".
ALTER TYPE V23 (F6.0).
RECODE V24 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V24 666666 "other".
ALTER TYPE V24 (F6.0).
RECODE V25 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V25 666666 "other".
ALTER TYPE V25 (F6.0).
RECODE V26 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V26 666666 "other".
ALTER TYPE V26 (F6.0).
RECODE V27 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V27 666666 "other".
ALTER TYPE V27 (F6.0).
RECODE V28 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V28 666666 "other".
ALTER TYPE V28 (F6.0).
RECODE V29 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V29 666666 "other".
ALTER TYPE V29 (F6.0).
RECODE V30 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V30 666666 "other".
ALTER TYPE V30 (F6.0).
RECODE V31 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V31 666666 "other".
ALTER TYPE V31 (F6.0).
RECODE V32 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V32 666666 "other".
ALTER TYPE V32 (F6.0).
RECODE V33 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V33 666666 "other".
ALTER TYPE V33 (F6.0).
RECODE V34 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V34 666666 "other".
ALTER TYPE V34 (F6.0).
RECODE V35 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V35 666666 "other".
ALTER TYPE V35 (F6.0).
RECODE V40 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V40 666666 "other".
ALTER TYPE V40 (F6.0).
RECODE V42 ("-oth-" = "666666").
EXECUTE.
ADD VALUE LABELS V42 666666 "other".
"
TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)4.4.13
I will donate to the project if issue is resolvedNo
Browser
Database type & version4.4.13
Server OS (if known)
Webserver software & version (if known)
PHP VersionNeweest

Relationships

related to 16939 closedgabrieljenik exporting list question with 'other' to SPSS does not read all data 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ollehar

ollehar

2021-03-25 11:05

administrator   ~63594

Ping @gabrieljenik ?
gabrieljenik

gabrieljenik

2021-03-29 16:07

manager   ~63708

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1827
gabrieljenik

gabrieljenik

2021-03-29 16:36

manager   ~63711

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31428
c_schmitz

c_schmitz

2021-07-12 11:53

administrator   ~65352

Release done.
TonisOrmisson

TonisOrmisson

2021-11-13 20:40

developer   ~67281

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32956

Related Changesets

LimeSurvey: master 3ff0af26

2021-03-29 16:35:58

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17202: SPSS Export issues in version 4.4.13 #1827

Moving the flag related to adding "other" reconversion
Affected Issues
17202
mod - application/helpers/export_helper.php Diff File

LimeSurvey: 3.x-LTS e2546cde

2021-11-13 20:40:26

TonisOrmisson


Committer: GitHub Details Diff
Fixed issue 17202: SPSS Export issues

Dev Fixed mistake in merging fix for issue 16939 from v4. needsAlterType flag added to all variables (#2137)
Affected Issues
17202
mod - application/helpers/export_helper.php Diff File

Issue History

Date Modified Username Field Change
2021-03-25 02:03 michaelmm7 New Issue
2021-03-25 11:05 ollehar Note Added: 63594
2021-03-25 11:06 ollehar Relationship added related to 16939
2021-03-29 16:07 gabrieljenik Note Added: 63708
2021-03-29 16:08 gabrieljenik Assigned To => gabrieljenik
2021-03-29 16:08 gabrieljenik Status new => assigned
2021-03-29 16:36 gabrieljenik Changeset attached => LimeSurvey master 3ff0af26
2021-03-29 16:36 gabrieljenik Note Added: 63711
2021-03-29 16:36 gabrieljenik Resolution open => fixed
2021-03-29 16:47 ollehar Status assigned => resolved
2021-07-12 11:53 c_schmitz Note Added: 65352
2021-07-12 11:53 c_schmitz Status resolved => closed
2021-11-13 20:40 TonisOrmisson Changeset attached => LimeSurvey 3.x-LTS e2546cde
2021-11-13 20:40 TonisOrmisson Note Added: 67281
2021-11-13 20:40 TonisOrmisson Bug heat 6 => 8
2021-11-13 20:40 TonisOrmisson Assigned To gabrieljenik => TonisOrmisson